<?php
  include './stuff/inc/mn-start.php';


  /* Page title, check which boxes we need to hide */
  $echo['page_title'] = $lang['gen_main_page'];
  $hidden_boxes = array();
  if (isset($_COOKIE["mn_boxes"])) $hidden_boxes = explode("|", $_COOKIE["mn_boxes"]);





  /* Check for new version MNews every 7 days */
  if (isset($_COOKIE['mn_latest_version'])) {$latest_version = $_COOKIE['mn_latest_version'];}
  else {
    $latest_version = get_latest_version();
    if (!empty($latest_version)) {setcookie("mn_latest_version", $latest_version, time()+60*60*24*7);}
  }
  $warn['new_version'] = (!empty($latest_version) && (str_replace(".", "", $latest_version) > str_replace(".", "", $def['mnews_version']))) ? true : false;





  /* Main actions on index */
  if ($_GET["back"] == "permision-denied") $info['red'] = $lang['gen_perm_denied'];


  elseif (isset($_GET["hide"]) && in_array($_GET["hide"], $boxes)){ 
    $hidden_boxes[] = $_GET["hide"]; 
    setcookie("mn_boxes", implode("|", array_unique($hidden_boxes)), time()+60*60*24*365); 
  } 


  elseif (isset($_GET["show"]) && in_array($_GET["show"], $boxes)){ 
    unset($hidden_boxes[array_search($_GET["show"], $hidden_boxes)]); 
    if (count($hidden_boxes) !== 0) setcookie("mn_boxes", implode("|", $hidden_boxes), time()+60*60*24*365); 
    else setcookie("mn_boxes", "", time()-3600);
  }


  else {
    $info['main'] = $lang['gen_welcome_back']." ".$_SESSION['mn_user_name'];
    $warnings = array();
    clearstatcache();
    if (!is_writeable("./data/")) $warnings[] = $lang['check_data_nw'];
    if (!is_writeable("./data/news/")) $warnings[] = $lang['check_news_nw'];
    if (!is_writeable("./data/articles/")) $warnings[] = $lang['check_articles_nw'];
    if (!is_writeable("./data/databases/")) $warnings[] = $lang['check_databases_nw'];
    if (!is_writeable("./data/templates/")) $warnings[] = $lang['check_templates_nw'];
    foreach ($file as $file_name => $file_path) {
      if ($file_name == 'categories') continue;
      elseif (!is_writeable("./".$file_path)) $warnings[] = str_replace("%n%", "<span>/$file_path</span>", $lang['check_file_nw']);
    }
  }





  include './stuff/tmpl/page-top.php';
  include './stuff/tmpl/feedback_info.php';


  foreach ($boxes as $box) {
    if (in_array($box, $hidden_boxes)) $hide_div[$box] = " hide";
    else $hide_img[$box] = " hide";
  }

  $tip_number = rand(1, count($tips));
?>

  <img class='simiurla<?php echo $hide_img['news'];?>' id='news-c' alt='&bull;' title='<?php echo $lang['gen_show_news'];?>' onclick="ajaxShowHide('./?show=news', 'news-c', 'news');" width='16' height='16' src='./stuff/img/icons/bullet_black.png' />
  <span style='color: royalblue;'><img class='simiurla<?php echo $hide_img['info'];?>' id='info-c' alt='&bull;' title='<?php echo $lang['gen_show_info'];?>' onclick="ajaxShowHide('./?show=info', 'info-c', 'info');" width='16' height='16' src='./stuff/img/icons/bullet_blue.png' /></span>
  <span style='color: orange;'><img class='simiurla<?php echo $hide_img['tips'];?>' id='tips-c' alt='&bull;' title='<?php echo $lang['gen_show_tips'];?>' onclick="ajaxShowHide('./?show=tips', 'tips-c', 'tips');" width='16' height='16' src='./stuff/img/icons/bullet_orange.png' /></span>
  <span style='color: lightgreen;'><img class='simiurla<?php echo $hide_img['chmods'];?>' id='chmods-c' alt='&bull;' title='<?php echo $lang['gen_show_ok'];?>' onclick="ajaxShowHide('./?show=chmods', 'chmods-c', 'chmods');" width='16' height='16' src='./stuff/img/icons/bullet_green.png' /></span>

<?php

  if ($warn['new_version']) {
    $lang['check_new_version'] = str_replace("%old%", "<em>".$def['mnews_version']."</em>", $lang['check_new_version']);
    $lang['check_new_version'] = str_replace("%new%", "<strong>".$latest_version."</strong>", $lang['check_new_version']);
    echo "\n\n<div class='warnings'><img src='./stuff/img/icons/exclamation.png' alt='' /> ".$lang['check_new_version']." <a href='http://mnews.php5.sk/'>http://mnews.php5.sk/</a><div class='simbutton' style='width: 200px; margin-top: 20px;'><a href='http://mnews.php5.sk/download.php?get=latest'><img src='./stuff/img/icons/continue.png' alt='' /> ".$lang['gen_download']." MNews $latest_version</a></div></div>";
  }
  elseif (!empty($warnings)) {
    echo "\n\n<div class='warnings'>".$lang['check_chmods_warning']."<ul>";
    foreach ($warnings as $warning) {
      echo "<li>".$warning."</li>";
    }
    echo "</ul><strong>".$lang['check_chmods_warning2']."</strong></div>";
  }
  elseif (!isset($info['red']) && $_SESSION["mn_user_level"] == "1") {
?>

  <div class='chmods-ok<?php echo $hide_div['chmods'];?>' id='chmods'>
    <img class='simiurl' alt='x' title='<?php echo $lang['gen_hide_this_frame'];?>' onclick="ajaxShowHide('./?hide=chmods', 'chmods', 'chmods-c');" src='./stuff/img/icons/bullet_green.png' />
    <img src='./stuff/img/icons/tick.png' alt='&radic;' /> <?php echo $lang['check_ok']?>
  </div>
  
<?php } ?>



  <div class='info-yellow<?php echo $hide_div['tips'];?>' id='tips'>
    <img class='simiurl' alt='x' title='<?php echo $lang['gen_hide_this_frame'];?>' onclick="ajaxShowHide('./?hide=tips', 'tips', 'tips-c');" src='./stuff/img/icons/bullet_orange.png' />
    <img src='./stuff/img/icons/lightbulb.png' alt='&deg;' /> <strong><?php echo $lang['gen_did_you_know'];?>:</strong> <?php echo $tips[$tip_number];?>
  </div>


<?php if ($_SESSION["mn_user_level"] == "1") { ?>
  <div class='info-text<?php echo $hide_div['info'];?>' id='info'>
    <img class='simiurl' alt='x' title='<?php echo $lang['gen_hide_this_frame'];?>' onclick="ajaxShowHide('./?hide=info', 'info', 'info-c');" src='./stuff/img/icons/bullet_blue.png' />
    <p><img src='./stuff/img/icons/information.png' alt='(i)' /> <?php echo $lang['conf_mnews_code_path'];?>:</p>
    <p class="c"><b>&lt;?php include "<?php echo preg_replace( "/\index\.php/is", "", __FILE__);?>mn-show.php"; ?&gt;</b></p>
    <p><?php echo $lang['conf_mn_code_more_info'];?> <a href="./mn-config.php?mode=integration"><?php echo $lang['conf_site_integration'];?></a>.</p>
  </div>
<?php } ?>


  <div class='a<?php echo $hide_div['news'];?>' id='news'>
  <p class='mnews-show-preview'><?php echo $lang['gen_mnews_preview'];?>:</p>
  <img class='simiurl' alt='x' style='margin: -2px 22px 0 0;' title='<?php echo $lang['gen_hide_this_frame'];?>' onclick="ajaxShowHide('./?hide=news', 'news', 'news-c');" src='./stuff/img/icons/bullet_black.png' />
    <?php
      $temp['mnews_view'] = 'admin';
      $mn_count = 2;
      include './mn-show.php';
    ?>
  </div>

  <p class='cleaner'>&nbsp;</p>

<?php
  include './stuff/tmpl/page-bottom.php';
?>
